%define lib_major   0

Summary: GNOME print library
Name: libgnomeprint
Version: 2.2.1.1
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://www.levien.com/gnome/print-arch.html
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gettext
BuildRequires: libart_lgpl2-devel
BuildRequires: libbonobo2_0-devel
BuildRequires: pango-devel
BuildRequires: fontconfig-devel
BuildRequires: libcups-devel

%description
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html

%package -n %{name}2-2_%{lib_major}
Summary:	Library for GNOME print support
Group:		%{group}

Requires:	%{name} >= %{version}

%description -n %{name}2-2_%{lib_major}
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html

%package -n %{name}2-2_%{lib_major}-devel
Summary:	Static libraries, include files for GNOME print
Group:		Development/GNOME and GTK+
Provides:	%{name}2-2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name}2-2_%{lib_major} = %{version}
Requires:	%{name} = %{version}
Requires:   libart_lgpl2-devel
Requires:   libbonobo2_0-devel

%description -n %{name}2-2_%{lib_major}-devel
This is an implementation of the Gnome Printing Architecture, as
described in:

   http://www.levien.com/gnome/print-arch.html


%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}-2.2

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libgnomeprint/%{version}/modules/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/libgnomeprint/%{version}/modules/*/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT


%post -n %{name}2-2_%{lib_major} -p /sbin/ldconfig
  
%postun -n %{name}2-2_%{lib_major} -p /sbin/ldconfig


%files -f %{name}-2.2.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS ChangeLog 
%dir %{_libdir}/libgnomeprint
%dir %{_libdir}/libgnomeprint/%{version}
%dir %{_libdir}/libgnomeprint/%{version}/modules
%dir %{_libdir}/libgnomeprint/%{version}/modules/transports
%{_libdir}/libgnomeprint/%{version}/modules/*.so*
%{_libdir}/libgnomeprint/%{version}/modules/transports/*.so*
%{_datadir}/libgnomeprint

%files -n %{name}2-2_%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}2-2_%{lib_major}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*


%changelog
* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1.1-1mdk
- Release 2.2.1.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.8-2mdk
- Recompiled against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.8-1mdk
- Release 2.1.8

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7-1mdk
- Release 2.1.7
- Remove patch0 (merged upstream)

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Patch0: fix crash when using cups

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Remove patch0 (merged upstream)
- No longer obsolete/provides libgnomeprint 2.0, since 2.2 is now parallel installable with 2.0

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-2mdk
- Patch0: fix data search path

* Fri Nov 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1
- Remove patches 0 & 1 (merged upstream)

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-2mdk
- Patch0 (rawhide): fix printing performance issue
- Patch1 (rawhide): fix invalid PostScript issue

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-1mdk
- Release 1.116.0

* Mon Jun 24 2002 Stefan van der Eijk <stefan@eijk.nu> 1.115.0-2mdk
- BuildRequires

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-1mdk
- Release 1.115.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.114.0-1mdk
- Release 1.114.0

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.113.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- Release 1.113.0

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.112.0-1mdk
- Release 1.112.0

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.111.0-2mdk
- Add missing locale

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.111.0-1mdk
- First Mdk package


